Ubuntu

No response to keyboard input at prompt after ejecting CD-ROM

Reported by Marc Tardif on 2006-09-01
66
Affects Status Importance Assigned to Milestone
usplash (Ubuntu)
Medium
Unassigned

Bug Description

Installation process seems to complete successfully. When rebooting, the process hangs after ejecting the CDROM. Here is the last line output to the console:

mount: Function not implemented
Please remove the disc, close the tray (if any) and press ENTER:

At that point, pressing on the ENTER key doesn't do anything and a hard reset is necessary. After the reset, Ubuntu seems to boot fine with the newly installed system.

By the way, this bug is also reproducible by simply loading the live CD and rebooting without installing. The process hangs after ejecting the CDROM.

Thanks for submitting this bug. We'll need a little more information before we can fix this problem. Can you describe your hardware in more detail? Was this the Edgy Knot 2 CD? Kubuntu? Can you attach /var/log/installer/syslog please?

Martin Pitt (pitti) wrote :

For the record, this still happens with 20061017 ppc/desktop.

Martin Pitt (pitti) wrote :

Also happens on 20061025 amd64 desktop.

Matt Zimmerman (mdz) wrote :

Confirmed by several folks now. While quite harmless, this bug is very visible and can confuse users, so marking High and targeting to early in the next release.

Alessandro Avix (alex-avix) wrote :

Same bug reported on Siemens Scenic 860 with PIII 700.

Matt Zimmerman (mdz) wrote :

This bug is only present on the amd64 and powerpc desktop CDs; if you are experiencing a problem with i386, it is a different issue.

This bug is also present on my Dell Latitude X1 with Edgy final.
I can add that if I press CTRL-ALT-DEL the shutdown sequence seems to start from the beginning.
Also, the wording "ENTER" is bad because that key doesn't exist on most notebooks ("RETURN" would be better)

John C Lord (johnclord) wrote :

I have similar problems with a an older desktop PC using all of the desktop Edgy 6.10 versions of Ubuntu, Kubuntu, and Edubuntu, in that the PC does not shut down or restart as it should. The drives power off, but the monitor display stays on and still shows the logo, so the PC has obviously not completely shutdown. This is easily reproducible on my PC with all three Edgy Live CD's by simply booting up with the Live CD and telling it to shutdown (completely turn off the computer.) It simply won't shutdown completely.
NOTE: Ubuntu 6.06 LTS worked correctly in this respect and could shutdown or restart the PC when it was supposed to. I suspect this will turn out to be something very basic in changes made to power management. It is also probably the reason why the systems appear to "hang" when during installations when the PC gets to the "now remove the CD and press Return to continue" step. The PC is probably unable to continue its shutdown to restart due to the misbehaving power management. Do we need to be SU to shutdown our systems now?
Next: I plan to test various "shutdown" commands in terminal mode while SU. If that doesn't work, I will RTFM (read the fine manual) to see what I can learn about power management settings to see if this is something I can reconfigure. Meanwhile, holding my power-off button 5 seconds still works. :)

On Wed, Nov 01, 2006 at 06:01:03PM -0000, John C Lord wrote:
> I have similar problems with a an older desktop PC using all of the desktop Edgy 6.10 versions of Ubuntu, Kubuntu, and Edubuntu, in that the PC does not shut down or restart as it should. The drives power off, but the monitor display stays on and still shows the logo, so the PC has obviously not completely shutdown. This is easily reproducible on my PC with all three Edgy Live CD's by simply booting up with the Live CD and telling it to shutdown (completely turn off the computer.) It simply won't shutdown completely.

That's a different problem.

--
 - mdz

This problem is still present on Feisty Herd 3.

Tollef, you've had success investigating this in the past -- could you take a look at this?

Changed in usplash:
assignee: keybuk → tfheen
Cesare Tirabassi (norsetto) wrote :

I can confirm the same behaviour on my machine (AMD 64 feisty herd 5). No problem if I use the i386 CD.
BTW, perhaps it helps, in answer to key presses the relevant control codes are shown (for instance Enter=^M etc.).

sanothay (lsanothay) wrote :

I have exactly the same issue when I was trying to install ubuntu 6.10
I use Intel Pentium 4 CPU.
This is very important issue that needs to be fixed soon. since it gives a new user bad impression about ubuntu.

Andi T. (andreastetzlaff) wrote :

The same bug here with Kubuntu 7.04 (Feisty Fawn) Beta x86 Desktop CD on my Dell Latitude D610 (chipset: Mobile Intel 915PM Express 533 MHz FSB):

When the message "Please remove the disc, close the tray (if any) and press ENTER:" appears, the computer is still "alive": The LED changes when I press CapsLock. But I can neither reboot the computer with ENTER nor with Ctrl-Alt-Del. I have to turn in off and then on again.

If it's the same bug I'm seeing, pressing CTL+J should reboot.

Matt Zimmerman (mdz) wrote :

If that's the problem, then it's quite similar to bug 12647, and the solution used there might be more robust. kbd_mode, unlike stty, doesn't rely on the terminfo database, which may be beneficial since we're running with only cached files available.

In my understanding it's not the same raw mode.
kbd_mode change between hardware scancode/ ascii code.

stty change the tty line discipline and as far as I know it doesn't
need and doesn't use terminfo.

As a matter of fact the console is not really in full raw mode (or
CTRL+J wouldn't work) at least on PPC, icrnl is unset.

IIRC stty -raw < /dev/console can be execute before ejecting the CD,
init keeps /dev/console open and anyway the default tty line
discipline should set icrnl, don't know which prg unset it though.

Changed in usplash:
assignee: tfheen → keybuk
Tollef Fog Heen (tfheen) wrote :

Not a high-priority bug in the context of the release; changing to medium.

Changed in usplash:
importance: High → Medium
Changed in usplash:
assignee: keybuk → nobody

If this bug cannot be fixed, maybe a text should be added "please try ctrl+j if enter does not work" or something like that.

Saivann Carignan (oxmosys) wrote :

Thanks for your contribution to this bug report. I see that the last release on which that bug could be reproduced is Feisty. Can someone reproduce that issue with latest Hardy / Gutsy release? In my case, using AMD64 release, I can't reproduce this bug with Gutsy or Hardy so I suspect that this bug is not fixed.

Changed in usplash:
assignee: nobody → saivann
status: Confirmed → Incomplete

In my case, I believe the problem is that my motherboard is so old (a FIC-6110), that although Ubuntu sees it as ACPI compatible, it really isn't. Other problems I've had are probably also due to this old motherboard, which I plan to replace.
The Motherboard's BIOS has other problems in that, even with LBA turned on, it cannot handle drives larger than about 120gb, no matter what settings I put in for hard drive characteristics. Apparently, this MOBO & BIOS cannot handle the number of clusters (using LBA) on drives larger than about 120-130GB.
My workaround for my 320GB drive, was to partition it split into 30GB and 290GB and set the BIOS up as though for a 30GB drive and install Ubuntu, and later move the /home folder to the 290GB partition and say "the heck with it - it works now". Once the system is booted up using the 30GB partition, the OS (Ubuntu) can handle the 290GB partition where the /home folder is, and seems to be having no problems now. I'm up to Ubuntu Gutsy Gibbon 7.10 now.

Thanks for asking.

John C Lord

----- Original Message -----
From: "Saïvann Carignan" <email address hidden>
To: <email address hidden>
Sent: Tuesday, March 11, 2008 5:26 PM
Subject: [Bug 58503] Re: No response to keyboard input at prompt afterejecting CD-ROM

Thanks for your contribution to this bug report. I see that the last
release on which that bug could be reproduced is Feisty. Can someone
reproduce that issue with latest Hardy / Gutsy release? In my case,
using AMD64 release, I can't reproduce this bug with Gutsy or Hardy so I
suspect that this bug is not fixed.

** Changed in: usplash (Ubuntu)
     Assignee: (unassigned) => SaC/vann Carignan (saivann)
       Status: Confirmed => Incomplete

--
No response to keyboard input at prompt after ejecting CD-ROM
https://bugs.launchpad.net/bugs/58503
You received this bug notification because you are a direct subscriber
of the bug.

Saivann Carignan (oxmosys) wrote :

John C Lord : Thanks for your fast answer, but you spoke about another problem (yes the Hard Drive problem is really a BIOS/Motherboard problem :)). Concerning this bug report which is about the keyboard that is not working to eject the LiveCD once the system is installed, can you confirm if it still happens to you when you you exit the ubuntu LiveCD ?

John C Lord (johnclord) wrote :
Download full text (3.3 KiB)

Regarding the reported bug, and the exact wording:
"Installation process seems to complete successfully. When rebooting, the process hangs after ejecting the CDROM. Here is the last line output to the console:

mount: Function not implemented
Please remove the disc, close the tray (if any) and press ENTER:

At that point, pressing on the ENTER key doesn't do anything and a hard reset is necessary. After the reset, Ubuntu seems to boot fine with the newly installed system.

By the way, this bug is also reproducible by simply loading the live CD and rebooting without installing. The process hangs after ejecting the CDROM."

My experiences:
In the first instance (install, then reboot), when I did it, the system shut down to the point where the installation had completed successfully and the system had finished closing all the processes being run from the LiveCD and ejected the CD and issued the last message on the screen for me to remove the CD and press Enter. I'd remove the CD and press enter and the PC preceded to finish rebooting back up exactly as I expected it to. My keyboard DID respond to the Enter key after the CD had ejected.

While attempting to reproduce the problem by loading (i.e - booting from) the live CD (not the hard drive) and rebooting without installing, here's what happened: I clicked the red STOP button and then selected Restart from the offered choices. The system shut down to the last bit of progress bar, ejected the Live CD (from which I had booted), and issued the message:

"Please remove the disc, close the tray (if any) and press ENTER to continue."

I removed the CD, closed the tray, and (maybe this is critical?) waited until the CD drive light quit blinking and went out, then I pressed ENTER and the PC went on to finish rebooting (this time from the hard drive.) Again, I had no problems with this.

My hard drive has Ubuntu Gutsy Gibbon 7.10 installed with all updates current up to March 2008 (although I never booted from it for these tests), and the Live CD I booted from was the original normal release of 7.10 that came out last October 2007 (18th?19th?) - NOT a pre-release.

Hope this helps. Sorry about the other email. I'll try to keep answers strictly relevant next time

John C Lord

Redding, CA, USA

p.s. I also had no problems when I tried to reproduce the problem using an Edgy 6.10 Live CD.
By the way, I have a PS2 style keyboard. Could the people with the problem maybe have been using USB connected keyboards?
Also, I only tested this with my desktop PC, not my laptop.

----- Original Message -----
From: "Saovann Carignan" <email address hidden>
To: <email address hidden>
Sent: Wednesday, March 12, 2008 9:49 AM
Subject: [Bug 58503] Re: No response to keyboard input at prompt afterejecting CD-ROM

John C Lord : Thanks for your fast answer, but you spoke about another
problem (yes the Hard Drive problem is really a BIOS/Motherboard problem
:)). Concerning this bug report which is about the keyboard that is not
working to eject the LiveCD once the system is installed, can you
confirm if it still happens to you when you you exit the ubuntu Liv...

Read more...

Saivann Carignan (oxmosys) wrote :

Can someone reproduce that bug with latest Gutsy or Hardy release? I suspect that PPC architectures have more chances to have that problem.

John C Lord : No problem about your other comment :) and thanks for your detailed answer. Then if you can't reproduce the bug too, we must assume that it happens in specific circumstances that we still need to discover or that it is fixed. We should wait to see if someone is able to reproduce the bug with a up-to-date ubuntu release.

Saivann Carignan (oxmosys) wrote :

Since this bug is reported several times to be fixed, that I can't reproduce it on any computers and that it did not get activity during a long period, I set the status to invalid but if someone can still reproduce this bug with latest Hardy release and provide more informations, please set back the status of the bug to "new" and/or comment about it. Thanks for your contribution to ubuntu!

Changed in usplash:
assignee: saivann → nobody
milestone: ubuntu-7.04 → none
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers